Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction
Interface UserTransaction

public interface UserTransaction

The UserTransaction interface defines the methods that allow an application to explicitly manage transaction boundaries.

Method Summary
`void` | `begin()` Create a new transaction and associate it with the current thread.
`void` | `commit()` Complete the transaction associated with the current thread.
`int` | `getStatus()` Obtain the status of the transaction associated with the current thread.
`void` | `rollback()` Roll back the transaction associated with the current thread.
`void` | `setRollbackOnly()` Modify the transaction associated with the current thread such that the only possible outcome of the transaction is to roll back the transaction.
`void` | `setTransactionTimeout(int seconds)` Modify the timeout value that is associated with transactions started by subsequent invocations of the begin method.

Method Detail

### begin

    public void begin()
               throws NotSupportedException,
                      SystemException

  Create a new transaction and associate it with the current thread.

  Throws:
    `NotSupportedException` - Thrown if the thread is already associated with a transaction and the Transaction Manager implementation does not support nested transactions.
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       java.lang.SecurityException,
                       java.lang.IllegalStateException,
                       SystemException

  Complete the transaction associated with the current thread. When this method completes, the thread is no longer associated with a transaction.

  Throws:
    `RollbackException` - Thrown to indicate that the transaction has been rolled back rather than committed.
    `HeuristicMixedException` - Thrown to indicate that a heuristic decision was made and that some relevant updates have been committed while others have been rolled back.
    `HeuristicRollbackException` - Thrown to indicate that a heuristic decision was made and that all relevant updates have been rolled back.
    `java.lang.SecurityException` - Thrown to indicate that the thread is not allowed to commit the transaction.
    `java.lang.IllegalStateException` - Thrown if the current thread is not associated with a transaction.
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

### rollback

    public void rollback()
                  throws java.lang.IllegalStateException,
                         java.lang.SecurityException,
                         SystemException

  Roll back the transaction associated with the current thread. When this method completes, the thread is no longer associated with a transaction.

  Throws:
    `java.lang.SecurityException` - Thrown to indicate that the thread is not allowed to roll back the transaction.
    `java.lang.IllegalStateException` - Thrown if the current thread is not associated with a transaction.
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

### setRollbackOnly

    public void setRollbackOnly()
                         throws java.lang.IllegalStateException,
                                SystemException

  Modify the transaction associated with the current thread such that the only possible outcome of the transaction is to roll back the transaction.

  Throws:
    `java.lang.IllegalStateException` - Thrown if the current thread is not associated with a transaction.
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

### getStatus

    public int getStatus()
                  throws SystemException

  Obtain the status of the transaction associated with the current thread.

  Returns:
    The transaction status. If no transaction is associated with the current thread, this method returns the Status.NoTransaction value.
  Throws:
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws SystemException

  Modify the timeout value that is associated with transactions started by subsequent invocations of the begin method.

  If an application has not called this method, the transaction service uses some default value for the transaction timeout.

  Parameters:
    `seconds` - The value of the timeout in seconds. If the value is zero, the transaction service restores the default value. If the value is negative a SystemException is thrown.
  Throws:
    `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.